Indexes   

HybridShapeLoft (Object)

Represents the hybrid shape loft surface feature object.
Role: To access the data of the hybrid shape loft surface feature object.
This data includes:

Use the CATIAHybridShapeFactory to create a HybridShapeLoft object.

LICENSING INFORMATION: Creation of volume result requires GSO License
if GSO License is not granted , settting of Volume context has not effect

Use the CATIAHybridShapeFactory to create a HybridShapeLoft object.

See also:
HybridShapeFactory

Property Index

BooleanOperation
Gets or sets the boolean operation for closed lofted surface.
CanonicalDetection
Returns or sets whether canonical surfaces of the lofted surface are detected.
CompEndSectionTangent
Returns or sets whether the tangent surface to the end section of the lofted surface is computed.
CompStartSectionTangent
Returns or sets whether the tangent surface to the start section of the lofted surface is computed.
Context
Returns or sets the context on Loft feature.
Relimitation
Returns or sets the relimitation type between sections of the loft.
SectionCoupling
Returns or sets the type of coupling between sections of the loft.
SmoothAngleThresholdActivity
Returns or sets whether a angular threshold is allowed or not during lofting operation in order to smooth it.
SmoothAngleThreshold
Returns or sets the angular threshold under which discontinuities (moving frame, tangency net on reference surface) will be smoothed.
SmoothDeviationActivity
Returns or sets whether a deviation is allowed or not during lofting operation in order to smooth it.
SmoothDeviation
Returns or sets the deviation value (length) allowed during lofting operation in order to smooth it.

Method Index

AddGuideWithTangent
Adds a guide curve and a tangent surface to the lofted surface.
AddGuide
Adds a guide curve to the lofted surface.
AddSectionToLoft
Retrieves a loft section.
GetFacesForClosing
Gets start and end faces if the tangent is a computed tangent surface to the start section or end section, from the lofted surface.
GetGuide
Gets informations about the guide at a specified position in the list of the lofted surface.
GetNbOfGuides
Returns the number of guides in the loft object.
GetSectionFromLoft
Retrieves a loft section information.
GetSpine
Gets the spine of the lofted surface.
GetStartAndEndSectionTangent
Gets the start and end section tangents of the lofted surface.
InsertCouplingPoint
Inserts a coupling point to a coupling of the lofted surface.
InsertCoupling
Inserts a coupling to the loft.
InsertSectionToLoft
Inserts a loft section.
ModifyGuideCurve
Modifies the curve of a guide from the lofted surface.
ModifySectionCurve
Modifies the curve of section from the lofted surface.
ModifySectionOrient
Modifies the orientation of the curve of a section from the lofted surface.
RemoveFaceForClosing
Removes face used to close the lofted surface.
RemoveGuideTangent
Removes a tangent surface of a guide from the lofted surface.
RemoveGuide
Removes a guide curve from the lofted surface.
RemoveSectionPoint
Removes a closing point of a section from the lofted surface.
RemoveSectionTangent
Removes the tangent surface of a section from the lofted surface.
RemoveSection
Removes a loft section from the lofted surface.
SetEndFaceForClosing
Sets a face to the end section from the lofted surface.
SetEndSectionTangent
Sets a tangent surface to the end section from the lofted surface.
SetSpine
Sets the spine to the lofted surface.
SetStartFaceForClosing
Sets a face to the start section from the lofted surface.
SetStartSectionTangent
Sets a tangent surface to the start section from the lofted surface.

Properties


o Property BooleanOperation() As
Gets or sets the boolean operation for closed lofted surface. TO BE USED ONLY for Part Loft (closed loft). BooleanOperation = 1 : No boolean operation. = 2 : Union boolean operation. = 3 : Removal boolean operation. This example retrieves in BoolOp the type of boolean operation for the Loft hybrid shape feature.
 Dim BoolOp
 BoolOp = Loft.BooleanOperation
 
o Property CanonicalDetection() As
Returns or sets whether canonical surfaces of the lofted surface are detected.
Legal values:
0
No detection of canonical surface is performed
1
Detection of planar surfaces only is performed
2
Detection of canonical surfaces is performed
o Property CompEndSectionTangent() As
Returns or sets whether the tangent surface to the end section of the lofted surface is computed.
Legal values:
1
The tangent to the end section is computed
2
The tangent to the end section is not computed
o Property CompStartSectionTangent() As
Returns or sets whether the tangent surface to the start section of the lofted surface is computed.
Legal values:
1
The tangent to the start section is computed
2
The tangent to the start section is not computed
o Property Context() As
Returns or sets the context on Loft feature.
Legal values:
  • 0 This option creates Lofted surface.
  • 1 This option creates Lofted volume.

Note: Setting volume result requires GSO License.
Example:
This example retrieves in oContext the context for the Loft hybrid shape feature.
 Dim oContext
 Set oContext = Loft.Context
 
o Property Relimitation() As
Returns or sets the relimitation type between sections of the loft.
NOT YET IMPLEMENTED.
Legal values:
1
The loft will be swept along the spine, then relimited by the start section and the end section
2
The loft will be swept along the spine.
  • If the spine is a user spine, then the loft is limited by the spine extremities
  • If the spine is a computed spine, then the loft is limited:
    • By the start section and the end section, if there is no guide
    • By the guides extremities, if there are guides
3
The loft will be swept along the spine, then relimited by the first section,
  • If the spine is a user spine, then the loft is limited by the spine extremity opposite to the first section
  • If the spine is a computed spine, then the loft is limited:
    • By the last section, if there is no guide
    • By the guides extremities opposite to the first section, if there are guides
4
The loft will be swept along the spine, then relimited by the last section,
  • If the spine is a user spine, then the loft is limited by the spine extremity opposite to the last section
  • If the spine is a computed spine, then the loft is limited:
    • By the first section, if there is no guide
    • By the guides extremities opposite to the last section, if there are guides
o Property SectionCoupling() As
Returns or sets the type of coupling between sections of the loft.
Legal values:
1
The curves will be coupled according to the curvilinear abscissa ratio
2
if each curve has the same number of tangency discontinuity points, then these points will be coupled, otherwise an error message is displayed
3
if each curve has the same number of tangency and curvature discontinuity points, then tangency discontinuity points will be coupled, and after curvature discontinuity points will be coupled, otherwise an error message is displayed
4
if each curve has the same number of vertices, then these points will be coupled, otherwise an error message is displayed
o Property SmoothAngleThresholdActivity() As
Returns or sets whether a angular threshold is allowed or not during lofting operation in order to smooth it.
Legal values:
TRUE
The angular threshold value is used during the lofting operation
FALSE
The angular threshold value is not used during the lofting operation
o Property SmoothAngleThreshold() As
Returns or sets the angular threshold under which discontinuities (moving frame, tangency net on reference surface) will be smoothed.
o Property SmoothDeviationActivity() As
Returns or sets whether a deviation is allowed or not during lofting operation in order to smooth it.
Legal values:
TRUE
The deviation value is used during the lofting operation
FALSE
The deviation value is not used during the lofting operation
o Property SmoothDeviation() As
Returns or sets the deviation value (length) allowed during lofting operation in order to smooth it.

Methods


o Sub AddGuideWithTangent( iGuide,
iTangent)
Adds a guide curve and a tangent surface to the lofted surface.
Parameters:
iGuide
The guide curve to be added

Sub-element(s) supported (see
Boundary object): TriDimFeatEdge and BiDimFeatEdge.
iTangent
The tangent surface to be added. The guide curve must be layed on the tangent

Sub-element(s) supported (see
Boundary object): Face.
o Sub AddGuide( iGuide)
Adds a guide curve to the lofted surface.
Parameters:
iGuide
The guide curve to be added

Sub-element(s) supported (see
Boundary object): TriDimFeatEdge and BiDimFeatEdge.
o Sub AddSectionToLoft( iCrv,
iOri,
iPoint)
Retrieves a loft section.
Parameters:
iCrv
Reference to the curve
iOri
Orientation
iPoint
Reference to the Closing Point
o Sub GetFacesForClosing( oStartFace,
oEndFace)
Gets start and end faces if the tangent is a computed tangent surface to the start section or end section, from the lofted surface. The section must have been set as a face.
Parameters:
oStartFace
start face used to close the loft.
oEndFace
end face used to close the loft.
o Sub GetGuide( iPos,
oGuide,
oGuideTangent)
Gets informations about the guide at a specified position in the list of the lofted surface.
Parameters:
iPos
position of the guide in the list where the information is retrieved.
oGuide
the guide curve.
oGuideTangent
the tangent corresponding to the guide curve.
o Func GetNbOfGuides() As
Returns the number of guides in the loft object.
Parameters:
oSize
Number of guides in the loft.
Example:
This example retrieves the number of guides in the hybShpLoft hybrid shape Loft.
 Dim oSize As  long
 oSize = hybShpLoft.GetNbOfGuides
 
o Sub GetSectionFromLoft( iRank,
oCrv,
oOri,
oPoint)
Retrieves a loft section information.
Parameters:
iRank
The index of the section
oCrv
The reference to the curve
oOri
The orientation value
oPoint
The reference to the point
o Sub GetSpine( oSpineType,
oSpine)
Gets the spine of the lofted surface.
Parameters:
oSpineType
type of spine = 1 : User defined spine. = 2 : Automatically computed spine.
oSpine
curve used as a spine, if the spine is user defined one.
o Sub GetStartAndEndSectionTangent( oStartSectionTangent,
oEndSectionTangent)
Gets the start and end section tangents of the lofted surface.
Parameters:
oStartSectionTangent
tangent surface at start section.
oEndSectionTangent
tangent surface at end section.
o Sub InsertCouplingPoint( iCouplingIndex,
iPosition,
iPoint)
Inserts a coupling point to a coupling of the lofted surface.
Parameters:
iCouplingIndex
The index of the coupling in the list of coupling where the point wil be inserted.
iPosition
The position of the coupling point in the list of coupling points. If 0 is specified, the coupling point is inserted at the end of the list.
iPoint
The point to be inserted. The point must be layed on the section with the same position.
Sub-element(s) supported (see
Boundary object): ScVertex.
o Sub InsertCoupling( iPosition)
Inserts a coupling to the loft.
Parameters:
iPosition
The position of the coupling in the list of couplings. If 0 is specified, the coupling is inserted at the end of the list.
Sub-element(s) supported (see
Boundary object): Vertex.
o Sub InsertSectionToLoft( iType,
iCrv,
iOri,
iPoint,
iSectionRef)
Inserts a loft section.
Parameters:
iType
iType if set to true section is added After and iType if set to false section is added Before iSectionRef
iCrv
Reference to the curve
iOri
Orientation
iPoint
Reference to the Closing Point
iSectionRef
iSectionRef is the section before and after which section is added.
o Sub ModifyGuideCurve( iGuide,
iNewGuide)
Modifies the curve of a guide from the lofted surface.
Parameters:
iGuide
guide curve to be replaced.
iNewGuide
new guide curve, will replace iGuide.
o Sub ModifySectionCurve( iSection,
iNewSection,
oCurveSection,
oClosingPoint,
oPtDiag)
Modifies the curve of section from the lofted surface.
Parameters:
iSection
section curve to be replaced.
iNewSection
section will replace iSection, can be a curve or a face
oCurveSection
if iSection is a face, oCurveSection is the boundary of the face. oCurveSection is used as section curve. if Part design, the face is used to close the Loft.
oClosingPoint
if iSection is a closed curve, oClosingPoint is a new closing point of iSection. if iSection is a face, oClosingPoint is a new closing point the boundary of iSection.
oPtDiag
Information on closing point = 0 : No closing point has been created nor retrieved. = 1 : A closing point has been created as a vertex. = 2 : A closing point has been created as an extremum. = 3 : A closing point has been retrieved as an extremum.
o Sub ModifySectionOrient( iSection,
iOrient)
Modifies the orientation of the curve of a section from the lofted surface.
Parameters:
iSection
section curve to be modified.
iOrient
orientation of the section curve = 1 : same orientation. = -1 : inverted orientation. = 2 : ko orientation.
o Sub RemoveFaceForClosing( iSection)
Removes face used to close the lofted surface.
Parameters:
iSection
section curve.
o Sub RemoveGuideTangent( iGuide)
Removes a tangent surface of a guide from the lofted surface.
Parameters:
iGuide
guide curve of the guide from which the tangent will be removed.
o Sub RemoveGuide( iGuide)
Removes a guide curve from the lofted surface.
Parameters:
iGuide
The guide curve to be removed

Sub-element(s) supported (see
Boundary object): TriDimFeatEdge and BiDimFeatEdge.
o Sub RemoveSectionPoint( iSection)
Removes a closing point of a section from the lofted surface. The curve section must be closed curve.
Parameters:
iSection
section curve of the section from which the point will be removed.
o Sub RemoveSectionTangent( iSection)
Removes the tangent surface of a section from the lofted surface. The section must be the start section or the end section of the loft.
Parameters:
iSection
section curve of the section from which the tangent will be removed.
o Sub RemoveSection( iSection)
Removes a loft section from the lofted surface.
Parameters:
iSection
The loft section to remove

Sub-element(s) supported (see
Boundary object): TriDimFeatEdge and BiDimFeatEdge.
o Sub SetEndFaceForClosing( iFace)
Sets a face to the end section from the lofted surface.
Parameters:
iFace
The face to close the loft (Part design only).
Sub-element(s) supported (see
Boundary object): Face.
o Sub SetEndSectionTangent( iTangentSection)
Sets a tangent surface to the end section from the lofted surface.
Parameters:
iTangentSection
The tangent surface to be added. The end curve section must lay on the surface.
Sub-element(s) supported (see
Boundary object): Face.
o Sub SetSpine( iSpine)
Sets the spine to the lofted surface.
Parameters:
iSpine
The curve to be added as a spine.
Sub-element(s) supported (see
Boundary object): TriDimFeatEdge and BiDimFeatEdge.
o Sub SetStartFaceForClosing( iFace)
Sets a face to the start section from the lofted surface.
Parameters:
iFace
The face to close the loft (Part design only).
Sub-element(s) supported (see
Boundary object): Face.
o Sub SetStartSectionTangent( iTangentSection)
Sets a tangent surface to the start section from the lofted surface.
Parameters:
iTangentSection
The tangent surface to be added. The start curve section must lay on the surface.
Sub-element(s) supported (see
Boundary object): Face.

Copyright © 2006, Dassault Systèmes. All rights reserved.